;-----------------------------------------------------------------------------
;  
;
;  P1[0]  P1[1]   .
;   1    .
;
;      Counter32_1 (32- ) 
;   P1[0]    ,
;                P1[1]   (  P1[0])
;-----------------------------------------------------------------------------

include "m8c.inc"       ; part specific constants and macros
include "memory.inc"    ; Constants & macros for SMM/LMM and Compiler
include "PSoCAPI.inc"   ; PSoC API definitions for all User Modules

export _main

_main:                  ; 
	call Counter32_1_Start ;  Counter32_1 

.loop:
	mov A, reg[PRT1DR]	;   Port1
	asl A               ; ,  0-   1-
	cpl A               ; (   P1[0]  P1[1]  )
	and A, 0b00000010   ; 1- ,  -  (    )
	mov reg[PRT1DR],A	;  Port1
    jmp .loop           ; 


.LITERAL
text:  ;  -  ,     
DS "========================== Test code for CY8C27443. Triggers P1[0] and P1[1] every 1 sec. =========================="
.ENDLITERAL



